name: oop-exam
services:
  db:
    environment:
      MYSQL_DATABASE: car
      MYSQL_ROOT_PASSWORD: password
    image: mysql:latest
    networks:
      default: null
    ports:
    - mode: ingress
      target: 3306
      published: "3306"
      protocol: tcp
    volumes:
    - type: volume
      source: db-volume
      target: /var/lib/mysql
      volume: {}
networks:
  default:
    name: oop-exam_default
volumes:
  db-volume:
    name: oop-exam_db-volume